﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace TestWebService
{
    public class Utils
    {
        public static string BitmapToBase64(System.Drawing.Bitmap img)
        {
            using (System.IO.MemoryStream stream = new System.IO.MemoryStream())
            {
                img.Save(stream, img.RawFormat);
                byte[] b = stream.ToArray();
                return Convert.ToBase64String(b);
            }
        }
        public static System.Drawing.Bitmap Base64ToBitmap(String imgBase64)
        {
            try
            {
                byte[] b = Convert.FromBase64String(imgBase64);
                using (System.IO.MemoryStream stream = new System.IO.MemoryStream(b))
                {
                    System.Drawing.Bitmap bmp = new System.Drawing.Bitmap((System.Drawing.Bitmap)System.Drawing.Image.FromStream(stream));
                    return bmp;
                }
            }
            catch
            {
                return null;
            }
        }
    }
}